/*                          
 * mBench: The Open Source Micro Benchmark Tool 
 *                                             
 * Distributable under GPL license. 
 * See terms of license at gnu.org.                 
 *
 * Copyright (C) 2005 Sumisho Computer Systems Corp.
 */
package test.jp.co.scs.mbench.stub;

import jp.co.scs.mbench.BenchmarkTerminateException;
import jp.co.scs.mbench.DataWriter;

/**
 *      The stub for testing BenchmarkManager.
 *      Null implementation.
 * 
 *      @author Tetsuro Ikeda
 */
public class StubBenchmarkManagerDataWriter implements DataWriter {

    public void init() throws BenchmarkTerminateException {
    }
    
    public void write(String[] data) {
    }

    public void clean() {
    }

    public String getDataName() {
        return null;
    }

    public void setDataName(String dataName) {
    }
}
